Dash0 acquires Polar Signals

Manage Time Series Aggregations (Private BETA)

Update or create a time series aggregation by origin or ID

put/api/time-series-aggregations/{originOrId}

Updates an existing time series aggregation or creates a new one if it doesn't exist. Useful for Infrastructure-as-Code workflows.

Parameters 2

originOrIdpathrequired

Time series aggregation origin or UUID

string
datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample request
123456789101112131415161718192021222324252627
curl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/time-series-aggregations/123e4567-e89b-42d3-a456-426614174000' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "Dash0TimeSeriesAggregation",
"metadata": {
"name": "Example"
},
"spec": {
"enabled": true,
"match": {
"metricNameMatcher": {
"operator": "is"
},
"otherFilters": [
{
"key": "service.name",
"operator": "is",
"value": "shop"
}
]
},
"sample": {
"interval": "1m"
}
}
}'

Request body required

stringrequired
"Dash0TimeSeriesAggregation"

Responses

The updated or created time series aggregation

stringrequired
"Dash0TimeSeriesAggregation"